Bug 100 - minicom is set GID uucp; security hole
minicom is set GID uucp; security hole
Product: Red Hat Linux
Classification: Retired
Component: minicom (Show other bugs)
All Linux
high Severity medium
: ---
: ---
Assigned To: Mike Maher
: Security
Depends On:
  Show dependency treegraph
Reported: 1998-11-16 22:29 EST by che
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 770956 (view as bug list)
Last Closed: 1999-01-26 13:42:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description che 1998-11-16 22:29:52 EST
As the summary says, minicom is shipped set-GID uucp in Red
Hat up to 5.1 (I don't know about 5.2, I don't know anyone
who has that installed.)

This means that any user on a Red Hat box can dial-out via
the modem without any special permissions. If Joe Schmoe has
an account on my box and wishes to dial up Transylvania for
14 hours a day, he can do so completely without my knowing
it. Also, any user can interrupt a serial transfer because
of this security flaw.

This is wrong: Debian GNU/Linux ships minicom mode 0755, as
it should be, and requires that the users themselves be in
the dip (dialout) group if they wish to have access to the
serial ports.

Please issue errate for all previous versions of Red Hat
with a fixed minicom package that is properly mode 0755.

Ben Gertzfield, Debian GNU/Linux developer
Comment 1 Derek Tattersall 1998-11-19 09:52:59 EST
/usr/bin/minicom is set GID uucp in 5.2 also.
Comment 2 Mike Maher 1999-01-26 13:42:59 EST
Set group ID to root, mode 0755.  If used wish to use minicom
to dial out they can must add the user id to minicom.

Note You need to log in before you can comment on or make changes to this bug.